## ros-noetic-urg-c 1.0.405

=== Makefile ===
# urgwidget

VERSION = 1.0.4
RELEASE_DIR = release
PACKAGE_EN_DIR = urg_library-$(VERSION)
PACKAGE_JA_DIR = urg_library_ja-$(VERSION)


all :
	cd current/ && $(MAKE)

clean : release_clean
	cd current/ && $(MAKE) clean
	$(RM) -rf $(RELEASE_DIR)

install : dist
	cd $(RELEASE_DIR)/$(PACKAGE_JA_DIR) && $(MAKE) install


TARGET_DIR = $(PACKAGE_EN_DIR) $(PACKAGE_JA_DIR)
dist : release_clean
	mkdir -p $(RELEASE_DIR)
	for i in $(TARGET_DIR) ; \
	do \
		mkdir -p $(RELEASE_DIR)/$$i; \
		mkdir -p $(RELEASE_DIR)/$$i/include; \
		mkdir -p $(RELEASE_DIR)/$$i/src; \
		mkdir -p $(RELEASE_DIR)/$$i/windowsexe; \
		mkdir -p $(RELEASE_DIR)/$$i/visual_cpp; \
		mkdir -p $(RELEASE_DIR)/$$i/visual_cpp/calculate_xy; \
		mkdir -p $(RELEASE_DIR)/$$i/visual_cpp/find_port; \
		mkdir -p $(RELEASE_DIR)/$$i/visual_cpp/get_distance; \
		mkdir -p $(RELEASE_DIR)/$$i/visual_cpp/get_multiecho; \
		mkdir -p $(RELEASE_DIR)/$$i/visual_cpp/get_multiecho_intensity; \
		mkdir -p $(RELEASE_DIR)/$$i/visual_cpp/sensor_parameter; \
		mkdir -p $(RELEASE_DIR)/$$i/visual_cpp/sync_time_stamp; \
		mkdir -p $(RELEASE_DIR)/$$i/visual_cpp/urg; \
		mkdir -p $(RELEASE_DIR)/$$i/samples; \
		cp current/COPYRIGHT.txt current/Install.txt current/build_rule.mk Readme.txt AUTHORS.txt Releasenotes.txt $(RELEASE_DIR)/$$i/; \
		cp current/Makefile.release $(RELEASE_DIR)/$$i/Makefile; \
		cp current/src/Makefile.release $(RELEASE_DIR)/$$i/src/Makefile; \
		cp current/samples/Makefile.release $(RELEASE_DIR)/$$i/samples/Makefile ; \
		cp current/include/*.h $(RELEASE_DIR)/$$i/include/; \
		cp current/src/*.c $(RELEASE_DIR)/$$i/src/; \
		cp current/samples/*.sh $(RELEASE_DIR)/$$i/samples/; \
		cp current/windowsexe/*.bat $(RELEASE_DIR)/$$i/windowsexe/; \
		cp -r current/visual_cpp/ $(RELEASE_DIR)/$$i/; \
		cat current/urg_c-config.in | sed -e "s/VERSION/$(VERSION)/g" > $(RELEASE_DIR)/$$i/urg_c-config.in ; \
	done
	ruby split_comment.rb -e current/include/*.h $(RELEASE_DIR)/$(PACKAGE_EN_DIR)/include/
	ruby split_comment.rb -e current/src/*.c $(RELEASE_DIR)/$(PACKAGE_EN_DIR)/src/
	ruby split_comment.rb -e current/samples/*.c $(RELEASE_DIR)/$(PACKAGE_EN_DIR)/samples/
	ruby split_comment.rb -e current/samples/*.h $(RELEASE_DIR)/$(PACKAGE_EN_DIR)/samples/
	ruby split_comment.rb -j current/include/*.h $(RELEASE_DIR)/$(PACKAGE_JA_DIR)/include/
	ruby split_comment.rb -j current/src/*.c $(RELEASE_DIR)/$(PACKAGE_JA_DIR)/src/
	ruby split_comment.rb -j current/samples/*.c $(RELEASE_DIR)/$(PACKAGE_JA_DIR)/samples/
	ruby split_comment.rb -j current/samples/*.h $(RELEASE_DIR)/$(PACKAGE_JA_DIR)/samples/
	for i in $(TARGET_DIR) ; \
	do \
		cd $(PWD); \
		cd $(RELEASE_DIR)/$$i && $(MAKE) && $(MAKE) clean; \
	done
	for i in $(TARGET_DIR) ; \
	do \
		cd $(PWD); \
		cd $(RELEASE_DIR)/ && (zip -r $$i.zip $$i) && mv $$i.zip ../; \
	done

release_clean :
	$(RM) -rf $(RELEASE_DIR)/$(PACKAGE_EN_DIR) $(RELEASE_DIR)/$(PACKAGE_JA_DIR)
	$(RM) $(PACKAGE_EN_DIR).zip $(PACKAGE_JA_DIR).zip

=== current/dox/Makefile ===
# current/dox

CFLAGS = -g -O0 -Wall -Werror -W `urg_c-config --cflags`
LDFLAGS =
LDLIBS = `urg_c-config --libs` -lm


TARGET = \
	connect_and_get \
	connect_ethernet \
	get_scans \
	get_timestamp \
	set_parameter \
	convert_xy \

IMAGE_TARGET = \
	multiecho_image.png \
	sensor_angle_image.png \
	sensor_index_image.png \
	sensor_step_image.png \
	skip_scan_image.png \

all : $(TARGET) img
	cd ../ && $(MAKE) html

img : $(IMAGE_TARGET)

clean :
	$(RM) $(TARGET) $(IMAGE_TARGET)

.PHONY : all clean
######################################################################
.SUFFIXES: .png .svg
.svg.png:
	convert $< $@

=== current/src/Makefile ===
# Makefile for libs/c
# $Id: Makefile,v 4537e5141a86 2011/02/17 07:10:04 Satofumi $

# Compile options
CC = gcc
#CFLAGS = -O2 -Wall -Werror -W $(INCLUDES)
CFLAGS = -g -O0 -Wall -Werror -W $(INCLUDES)
INCLUDES = -I../include
LDFLAGS =
LDLIBS =

# Target
URG_C_LIB = liburg_c.a
TARGET = $(URG_C_LIB)

all : $(TARGET)

clean :
	$(RM) *.o $(TARGET)

depend :
	makedepend -Y -- $(INCLUDES) -- $(wildcard *.h *.c)

.PHONY : all clean depend
######################################################################
$(URG_C_LIB) : \
	$(URG_C_LIB)(urg_sensor.o) \
	$(URG_C_LIB)(urg_utils.o) \
	$(URG_C_LIB)(urg_debug.o) \
	$(URG_C_LIB)(urg_connection.o) \
	$(URG_C_LIB)(urg_serial.o) \
	$(URG_C_LIB)(urg_serial_utils.o) \
	$(URG_C_LIB)(urg_tcpclient.o) \
	$(URG_C_LIB)(urg_ring_buffer.o) \

urg_serial_utils.o : urg_serial_utils_windows.c urg_serial_utils_linux.c

# DO NOT DELETE

urg_connection.o: ../include/urg_connection.h ../include/urg_serial.h
urg_connection.o: ../include/urg_detect_os.h ../include/urg_ring_buffer.h
urg_connection.o: ../include/urg_tcpclient.h
urg_debug.o: ../include/urg_debug.h ../include/urg_sensor.h
urg_debug.o: ../include/urg_connection.h ../include/urg_serial.h
urg_debug.o: ../include/urg_detect_os.h ../include/urg_ring_buffer.h
urg_debug.o: ../include/urg_tcpclient.h
urg_ring_buffer.o: ../include/urg_ring_buffer.h
urg_sensor.o: ../include/urg_sensor.h ../include/urg_connection.h
urg_sensor.o: ../include/urg_serial.h ../include/urg_detect_os.h
urg_sensor.o: ../include/urg_ring_buffer.h ../include/urg_tcpclient.h
urg_sensor.o: ../include/urg_errno.h
urg_serial.o: ../include/urg_serial.h ../include/urg_detect_os.h
urg_serial.o: ../include/urg_ring_buffer.h urg_serial_linux.c
urg_serial_linux.o: ../include/urg_ring_buffer.h
urg_serial_utils.o: ../include/urg_serial_utils.h ../include/urg_detect_os.h
urg_serial_utils.o: urg_serial_utils_linux.c
urg_serial_utils_linux.o: ../include/urg_serial_utils.h
urg_serial_utils_windows.o: ../include/urg_serial_utils.h
urg_serial_utils_windows.o: ../include/urg_detect_os.h
urg_serial_windows.o: ../include/urg_serial.h ../include/urg_detect_os.h
urg_serial_windows.o: ../include/urg_ring_buffer.h
urg_tcpclient.o: ../include/urg_detect_os.h ../include/urg_tcpclient.h
urg_tcpclient.o: ../include/urg_ring_buffer.h
urg_utils.o: ../include/urg_utils.h ../include/urg_sensor.h
urg_utils.o: ../include/urg_connection.h ../include/urg_serial.h
urg_utils.o: ../include/urg_detect_os.h ../include/urg_ring_buffer.h
urg_utils.o: ../include/urg_tcpclient.h ../include/urg_errno.h

=== current/viewers/Makefile ===
# viewers/

all :

clean :
	cd viewer_sdl/ && $(MAKE) clean

=== debian/changelog ===
ros-noetic-urg-c (1.0.405-1focal) focal; urgency=high

  * pass *pointer to* system timestamp, sync issue on quit
  * Adding new maintainer.
  * Contributors: Tony Baltovski, knickels

 -- Chad Rockey <chadrockey@gmail.com>  Tue, 07 Aug 2018 04:00:00 -0000

ros-noetic-urg-c (1.0.404-1focal) focal; urgency=high

  * Merge pull request #2 <https://github.com/ros-drivers/urg_c/issues/2> from dawonn/master
    Issue #1 <https://github.com/ros-drivers/urg_c/issues/1> - missing libmath link
  * Ubuntu 14.04 Fix - missing libmath link
  * Fix build for Android.
  * Contributors: Chad Rockey, dawonn

 -- Chad Rockey <chadrockey@gmail.com>  Mon, 28 Apr 2014 04:00:00 -0000

ros-noetic-urg-c (1.0.403-1focal) focal; urgency=high

  * No more Willow Garage email.
  * Contributors: Chad Rockey

 -- Chad Rockey <chadrockey@gmail.com>  Wed, 21 Aug 2013 04:00:00 -0000

ros-noetic-urg-c (1.0.402-1focal) focal; urgency=high

  * Missing header for Ubuntu Raring 13.04
  * Contributors: chadrockey

 -- Chad Rockey <chadrockey@gmail.com>  Thu, 04 Apr 2013 04:00:00 -0000

ros-noetic-urg-c (1.0.401-1focal) focal; urgency=high

  * Updated version to 1.0.401
  * Added files for catkin/bloom to release.
  * Added better system timestamp
  * Added more information functions.
  * Updated includes for urg_c folder.
  * Moving header files to be standardized for source builds.
  * fix document
  * fixed laser off fail when urg_close() has called
  * fixed tcpclient_open bug on Linux
  * added angle_convert_test.c
  * fixed for ethernet sensor
  * fixed windows.h include timing
  * fixed urg_c-config created
  * fixed ethernet open problem
  * fixed compile error
  * added reported user Adrian Boeing. thanks!
  * added releasenotes
  * removed rt link script
  * fixed for OSX
  * added AUTHORS.txt
  * fixed plotter's bug
  * fixed multiecho data's bug
  * fixed urg_tcpclient_open()'s bug
  * fixed receive_length data handling
  * fixed 'if' condition handling data store
  * fixed NULL pointer access bug
  * fixed QT after RB
  * fixed Gx stop bug
  * translated page titles
  * fixed urg_sensor_status() function's bug
  * fixed buffer size
  * remove duplicated file
  * fixed doxygen comment
  * fixed dependency
  * fixed closing time is too long.
  * added receive_command_response() internal function.
  * added document tag
  * sepalated urg_debug.[ch]
  * added samples
  * fixed download path document.
  * urg_sleep(), urg_wakeup, urg_is_stabl() are implemented.
  * fixed parameter receive method.
  * fixed localhost convert
  * fixed localhost ip_address
  * added type item
  * changed error handler return type
  * added urg_scip_decode() function.
  * added error handler
  * removed temporary image files
  * fixed OpenGL 1 support
  * fixed html mainpage
  * added sample compile check
  * translated some files.
  * translated mainpage.dox
  * fixed document.
  * added timestamp tutorial
  * added images
  * fixed indent
  * added doxygen comment
  * added document.
  * added tutorial samples
  * fixed dox comment
  * mainpage is created.
  * fixed document mainpage layout
  * added usage document.
  * adjusted mainpage.dox
  * modify how to build sample with Visual Studio on Readme_ja.txt
  * added install dox document
  * added install document
  * fixed laser_off handling
  * fixed connection timeout
  * fixed capture_times
  * fixed sample's bug
  * added visual studio samples.
  * added sensor_parameter vc project.
  * added visual studio 2005 project files.
  * windows compile.bat for winsock2
  * fixed for VC++ compile error.
  * omit stdbool.h .
  * changed UTF-8 -> CP932
  * fixed snprintf implementation.
  * New directory windowsexe to make windows exe files.
  * adjusted for cl.exe compile.
  * changed the character encoding SJIS
  * added connect timeout function.
  * fixed TCP/IP connect timeout
  * added CC=gcc
  * fixed information funciton's bug
  * fixed urg_firmware_version() fail at URG-04LX
  * fixed serial connection fail.
  * fixed sh scripts
  * fixed release package compile failed.
  * added comment.
  * added impelementation comment.
  * fixed winsock close
  * fixed Makefile error
  * adjusted open routine.
  * fixed link libraries
  * added mingw install setting
  * fixed sort bug.
  * fixed urg_serial_utils_windows.c
  * implemented urg_serial_utils_windows.c
  * implemented urg_serial_utils_linux.c
  * added urg_sensor_product_type() function
  * fixed scan times bug
  * fixed make clean rule
  * fixed link directory
  * added read/write function
  * fixed multiecho sample
  * fixed sample bug
  * urg_sensor_id() -> urg_sensor_serial_id()
  * fixed scan_skip timeout problem
  * added extern C
  * fixed viewer compile setting
  * fixed split script
  * fixed sample code's indent
  * fixed header indent
  * fixed urg_c-config
  * urg_c-config addes
  * include directory added
  * doxygen tag added
  * conflict COPYRIGHT and current/COPYRIGHT
  * Doxyfile added
  * fixed using OS env
  * fixed dist rule
  * printf debug message removed.
  * error output code removed
  * key zoom enabled
  * Readme.txt modified and COPYRIGHT added.
  * urg_tcpclient.h comments
  * fixed urg_index2rad()'s bug
  * remove debug print
  * Merge
  * fixed sample args parser
  * fixed urg_serial_windows.c compile error.
  * added ld_rt.sh
  * fixed multiecho intensity bug
  * plotter_sdl.c is implemented.
  * viewer_sdl debugging
  * viewer_sdl.c is implemented.
  * fixed struct name
  * fixed multiecho sample
  * fixed samples for -e option
  * adjusted for mingw.
  * fixed sh script
  * windows socket debugging
  * windows tcp debugging
  * windows tcp debugging
  * fixed mingw compile failed.
  * fixed ethernet sample error
  * removed -lrt option
  * fixed for mingw
  * 'urg_tcpclient.c urg_tcpclient.h modified and fixed.'
  * urg_tcpclient.c (tcpclient_readline() modified)
  * directories reaaranged.
  * Readme.txt modified.
  * tcpclient debugging.
  * urg_tcpclient.c was compiled by mingw gcc.
  * Merge


=== debian/control ===
Source: ros-noetic-urg-c
Section: misc
Priority: optional
Maintainer: Chad Rockey <chadrockey@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin
Homepage: http://sourceforge.net/projects/urgwidget/
Standards-Version: 3.9.2

Package: ros-noetic-urg-c
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
Description: The urg_c package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-urg-c//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
